Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.config.yaml
Class YamlConfigurationFactory

    java.lang.Object
      org.apache.logging.log4j.core.config.ConfigurationFactory
          org.apache.logging.log4j.core.config.yaml.YamlConfigurationFactory

    @Plugin(name="YamlConfigurationFactory",
            category="ConfigurationFactory")
    public class YamlConfigurationFactory

extends ConfigurationFactory

Field Summary

Fields inherited from class org.apache.logging.log4j.core.config.ConfigurationFactory
`CATEGORY, CONFIGURATION_FACTORY_PROPERTY, CONFIGURATION_FILE_PROPERTY, DEFAULT_PREFIX, LOGGER, substitutor, TEST_PREFIX`

Constructor Summary
`YamlConfigurationFactory()`

Method Summary
`Configuration` | `getConfiguration(ConfigurationSource source)`
`String[]` | `getSupportedTypes()`
`protected boolean` | `isActive()`

Methods inherited from class org.apache.logging.log4j.core.config.ConfigurationFactory
`getConfiguration, getConfiguration, getInputFromResource, getInputFromString, getInputFromUri, getInstance, removeConfigurationFactory, resetConfigurationFactory, setConfigurationFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YamlConfigurationFactory

    public YamlConfigurationFactory()

Method Detail

### isActive

    protected boolean isActive()

  Overrides:
    `isActive` in class `ConfigurationFactory`

### getConfiguration

    public Configuration getConfiguration(ConfigurationSource source)

  Specified by:
    `getConfiguration` in class `ConfigurationFactory`

### getSupportedTypes

    public String[] getSupportedTypes()

  Specified by:
    `getSupportedTypes` in class `ConfigurationFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.